Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Zend Framework 1.10.7 maintenance update #1539

Closed
robocoder opened this Issue · 1 comment

1 participant

@robocoder
Collaborator

Update to 1.10.7 maintenance release.

As before, I applied the lazy loading change from http://www.zendframework.com/manual/en/performance.classloading.html:

find . -name '*.php' -not -wholename '*/Loader/Autoloader.php' \
  -not -wholename '*/Application.php' -print0 | \
  xargs -0 sed --regexp-extended --in-place 's/(require_once)/\/\/ \1/g'

We won't update these files because ZF-8158 introduced a compat buster:

  • Zend/Http/Client.php
  • Zend/Uri.php

In Zend/Validate/Hostname.php, we changed this so that it doesn't depend on the include path:

547c547
<                             $regexChars += include($this->_validIdns[strtoupper($this->_tld)]);
---
>                             $regexChars += include(dirname(__FILE__) . '/../../' . $this->_validIdns[strtoupper($this->_tld)]);
@robocoder
Collaborator

(In [2833]) fixes #1539 - on second thought, I'll copy Uri.php and Http/Client.php, and comment out the offending code

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.